#
# vim:sw=2 ts=8:et sta
#
Section "ServerLayout"
        Identifier    "Layout0"
        Screen      0 "Screen0"   0 0
        InputDevice   "Keyboard0" "CoreKeyboard"
        InputDevice   "Mouse0"    "CorePointer"
        InputDevice   "Mouse1"    "SendCoreEvents"
EndSection

Section "Files"
        FontPath "unix/:7100"
EndSection

Section "Module"
        Load "freetype"
        #Load "xtt"
        Load "extmod"
        Load "glx"
        #Load "dri"
        Load "dbe"
        Load "record"
        Load "xtrap"
        Load "type1"
        #Load "speedo"
EndSection

Section "InputDevice"
        Identifier "Mouse0"
        #Driver     "mouse"
        #Option     "Protocol" "Auto"
        #Option     "Device"   "/dev/sysmouse"
	Driver		"synaptics"

	Option		"Device"		"/dev/psm0"
	Option		"Protocol"		"psm"

	Option		"LeftEdge"		"1700"
	Option		"RightEdge"		"5300"
	Option		"TopEdge"		"1700"
	Option		"BottomEdge"		"4200"

	Option		"FingerLow"		"28"
	Option		"FingerHigh"		"28"

	Option		"MaxTapTime"		"180"
	Option		"MaxDoubleTapTime"	"80"
	Option		"MaxTapMove"		"220"

	Option		"VertScrollDelta"	"100"
	Option		"HorizScrollDelta"	"100"

	Option		"MinSpeed"		"0.125"
	Option		"MaxSpeed"		"0.125"
	Option		"AccelFactor"		"0.0010"

	Option		"ScrollButtonRepeat"	"100"
	Option		"UpDownScrolling"	"on"
	Option		"UpDownRepeat"		"on"
	Option		"LeftRightScrolling"	"on"
	Option		"LeftRightRepeat"	"on"
        Option          "EdgeMotionMinSpeed"    "200"
        Option          "EdgeMotionMaxSpeed"    "200"

	# "SHMConfig on" seems good works with synclient(1).  But this
	# options is insecure.  I recommended "off" as default.
	Option		"SHMConfig"		"on"

	# If you use circular touchpad, uncomment them.
#	Option		"CircularPad"		"on"
#	Option		"CircularScrolling"	"on"
#	Option		"CircScrollDelta"	"0.5"
EndSection

Section "InputDevice"
        Identifier "Mouse1"
        Driver     "mouse"
        Option     "Protocol" "Auto"
        Option     "Device"   "/dev/sysmouse"
EndSection

Section "InputDevice"
        Identifier "Keyboard0"
        Driver     "keyboard"
        Option     "XkbModel"  "pc101"
        Option     "XkbLayout" "us"
EndSection

Section "Monitor"
        Identifier "Monitor0"
 ### Comment all HorizSync and VertSync values to use DDC:
	HorizSync    31.5 - 57.0
	#VertRefresh  50.0 - 90.0
  	Modeline "1280x800"  83.46  1280 1344 1480 1680  800 801 804 828  -HSync +Vsync
EndSection

Section "Device"
        Identifier  "Card0"
        Driver      "nv"
        # 256M = 256*1024 KB = 262144 KB
        VideoRam    262144
	Option	"HWCursor" "off"
EndSection

Section "Screen"
        Identifier      "Screen0"
        Device          "Card0"
        Monitor         "Monitor0"
        DefaultDepth     24
        SubSection "Display"
                Viewport 0 0
                Depth    24
                Modes    "1280x800"
        EndSubSection
EndSection
